Bug 101172 - aha152x driver broken
Summary: aha152x driver broken
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-29 19:48 UTC by Felix Mathais
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felix Mathais 2003-07-29 19:48:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
Whena aha1510 scsi card is intalled, the drinver fails to load. The card is set
to io 0x140 and an irq 10.
command issued: modprobe aha152x io=0x140 irq=10

output of command:
/lib/modules/2.4.20-19.8/kernel/drivers/scsi/aha152x.o: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
/lib/modules/2.4.20-19.8/kernel/drivers/scsi/aha152x.o: insmod
/lib/modules/2.4.20-19.8/kernel/drivers/scsi/aha152x.o failed
/lib/modules/2.4.20-19.8/kernel/drivers/scsi/aha152x.o: insmod aha152x failed

dmesg has the following relevant entries:

aha152x: BIOS test: passed, detected 1 controller(s)
aha152x: resetting bus...
aha152x1: vital data: rev=1, io=0x140 (0x140/0x140), irq=10, scsiid=7,
reconnect=enabled, parity=enabled, synchronous=enabled, delay=1000, extended
translation=disabled
aha152x1: trying software interrupt, lost.
aha152x1: IRQ 10 possibly wrong.  Please verify.

The irq is verified to set at 10 with jumpers on the card



Version-Release number of selected component (if applicable):
linux-2.4.20-19.8

How reproducible:
Always

Steps to Reproduce:
1.insert a aha1510 scsi card in pc (isa slot)
2.install redhat 8.0
3.issue command modprobe aha152x io=0x140 irq=10
    

Actual Results:  aha152x: BIOS test: passed, detected 1 controller(s)
aha152x: resetting bus...
aha152x1: vital data: rev=1, io=0x140 (0x140/0x140), irq=10, scsiid=7,
reconnect=enabled, parity=enabled, synchronous=enabled, delay=1000, extended
translation=disabled
aha152x1: trying software interrupt, lost.
aha152x1: IRQ 10 possibly wrong.  Please verify

Expected Results:  driver loaded

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:41:22 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.